Skip to main content

PUT /columns

Description​

Updates data on a specified column and returns an empty json object

The route handles the HTTP PUT request made to the /columns/{id} path.

Path parameters​

The next parameter is sent in the request line:

NameTypeDescription
idnumberRequired. The ID of the column to be updated.

Payload​

The server needs to receive a json object with all column properties (both unchanged and new/modified).

NameTypeDescription
labelstringRequired. The name of the column to be updated.
collapsedbooleanOptional. The state of the column: true if the column is collapsed initially and false for the expanded state (default).

Example:

{
"column": {
"label": "Column 1",
"collapsed": false,
}
}

You can find another example of the column object in the columns section.

Response​

In case of the success status, an empty json object is returned back.

The HTTP status code shows whether the request succeeds (response.status == 200) or fails (response.status == 500).


Related articles: Working with server